com.mapinfo.midev.language.filter

## Class AttributeFilter

- java.lang.Object
- - com.mapinfo.midev.language.filter.AttributeFilter

All Implemented Interfaces:
  IFilter

    public final class AttributeFilter
    extends Object
    implements IFilter

Defines an `IFilter` that specifies features based on a comparison between the values of an attribute (column) and a literal value. The comparison to perform is determined by the specified `ComparisonOperator` enumeration value.

See Also:
  `IAttributeValue`, `ComparisonOperator`

### Constructor Summary

Constructors
Constructor and Description
`AttributeFilter(String attributeName, ComparisonOperator filterOperator, IAttributeValue argumentValue)` Create a filter that determines if any attributes match the specified criteria.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AttributeFilter` `equalsFilter(String attributeName, IAttributeValue argumentValue)` Create a filter that determines if any attributes are equal to the specified argument.
`String` `getAttributeName()` Returns the name of the attribute that will be compared.
`IAttributeValue` `getFilterArgument()` Returns the value to be compared.
`ComparisonOperator` `getFilterOperator()` Returns the `ComparisonOperation` to be performed.
`static AttributeFilter` `greaterThanFilter(String attributeName, IAttributeValue argumentValue)` Create a filter that determines if any attributes are greater than the specified argument.
`static AttributeFilter` `greaterThanOrEqualToFilter(String attributeName, IAttributeValue argumentValue)` Create a filter that determines if any attributes are greater than or equal to the specified argument.
`boolean` `isSpatial()` Returns `false`
`static AttributeFilter` `lessThanFilter(String attributeName, IAttributeValue argumentValue)` Create a filter that determines if any attributes are less than the specified argument.
`static AttributeFilter` `lessThanOrEqualToFilter(String attributeName, IAttributeValue argumentValue)` Create a filter that determines if any attributes are less than or equal to the specified argument.
`static AttributeFilter` `notEqualsFilter(String attributeName, IAttributeValue argumentValue)` Create a filter that determines if any attributes are not equal to the specified argument.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AttributeFilter

    public AttributeFilter(String attributeName,
                           ComparisonOperator filterOperator,
                           IAttributeValue argumentValue)

Create a filter that determines if any attributes match the specified criteria.

Parameters:
  `attributeName` - Filter this column.
  `filterOperator` - Filter the column based on this comparison type.
  `argumentValue` - Filter the column based on this comparison value.

### Method Detail

#### getFilterOperator

    public ComparisonOperator getFilterOperator()

Returns the `ComparisonOperation` to be performed.

Returns:
  the `ComparisonOperation` to be performed.

#### getAttributeName

    public String getAttributeName()

Returns the name of the attribute that will be compared.

Returns:
  the name of the attribute that will be compared.

#### getFilterArgument

    public IAttributeValue getFilterArgument()

Returns the value to be compared.

Returns:
  the value to be compared.

#### isSpatial

    public boolean isSpatial()

Returns `false`

Specified by:
  `isSpatial` in interface `IFilter`
Returns:
  `false`

#### equalsFilter

    public static AttributeFilter equalsFilter(String attributeName,
                                               IAttributeValue argumentValue)

Create a filter that determines if any attributes are equal to the specified argument.

Parameters:
  `attributeName` - Filter this column.
  `argumentValue` - Filters any column values that are equal to this value.

#### notEqualsFilter

    public static AttributeFilter notEqualsFilter(String attributeName,
                                                  IAttributeValue argumentValue)

Create a filter that determines if any attributes are not equal to the specified argument.

Parameters:
  `attributeName` - Filter this column.
  `argumentValue` - Filters any column values that are not equal to this value.

#### greaterThanFilter

    public static AttributeFilter greaterThanFilter(String attributeName,
                                                    IAttributeValue argumentValue)

Create a filter that determines if any attributes are greater than the specified argument.

Parameters:
  `attributeName` - Filter this column.
  `argumentValue` - Filters any column values that are greater than this value.

#### greaterThanOrEqualToFilter

    public static AttributeFilter greaterThanOrEqualToFilter(String attributeName,
                                                             IAttributeValue argumentValue)

Create a filter that determines if any attributes are greater than or equal to the specified argument.

Parameters:
  `attributeName` - Filter this column.
  `argumentValue` - Filters any column values that are greater than or equal to this value.

#### lessThanFilter

    public static AttributeFilter lessThanFilter(String attributeName,
                                                 IAttributeValue argumentValue)

Create a filter that determines if any attributes are less than the specified argument.

Parameters:
  `attributeName` - Filter this column.
  `argumentValue` - Filters any column values that are less than this value.

#### lessThanOrEqualToFilter

    public static AttributeFilter lessThanOrEqualToFilter(String attributeName,
                                                          IAttributeValue argumentValue)

Create a filter that determines if any attributes are less than or equal to the specified argument.

Parameters:
  `attributeName` - Filter this column.
  `argumentValue` - Filters any column values that are less than or equal to this value.